Skip to content
Start here

Delete Field Extractor

client.FieldExtractors.Delete(ctx, extractor, body) (*FieldExtractorDeleteResponse, error)
DELETE/accounts/{account_id}/field_extractors/{extractor}

Deletes all custom extraction rules for an extractor type.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
extractor string

Extractor type.

minLength1
body FieldExtractorDeleteParams
AccountID param.Field[string]

Cloudflare account ID.

minLength1
ReturnsExpand Collapse
type FieldExtractorDeleteResponse interface{…}

Result is null.

Delete Field Extractor

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/field_extractors"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  fieldExtractor, err := client.FieldExtractors.Delete(
    context.TODO(),
    "llm_prompts",
    field_extractors.FieldExtractorDeleteParams{
      AccountID: cloudflare.F("123456"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", fieldExtractor)
}
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {},
  "success": true
}